<!doctype html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
	<meta charset="UTF-8" />
	<title>Login to The Bookshop</title>
	<meta name="viewport" content="width=device-width, initial-scale=1.0" />

	<!-- See configuration in WebMvConfig.java -->
	<link th:href="@{/bootstrap/css/bootstrap.min.css}" rel="stylesheet"
		media="screen" />
	
	<script th:src="@{/jquery/jquery.min.js}"></script>
	<script th:src="@{/popper/popper.min.js}"></script>
	<script th:src="@{/bootstrap/js/bootstrap.min.js}"></script>
</head>
<body>

	<h2 style="text-align: center">Login to your account</h2>

	<img th:src="@{/images/books-top.png}"
		style="width: 55vw; min-width: 300px; display: block; margin-left: auto; margin-right: auto;" />

	<p>
	
	<div class="container-fluid text-center">

		<form th:action="@{/login}" th:object="${credentials}" method="post"
			style="max-width: 350px; margin: 0 auto;">

			<div class="border border-secondary p-3 rounded">
				<p>
					<input type="text" th:field="*{username}" name="username"
						class="form-control" placeholder="Username" required autofocus />
				</p>
				<p>
					<input type="password" th:field="*{password}" name="password"
						class="form-control" placeholder="Password" required />
				</p>
				<p>
					<input type="submit" value="Login" class="btn btn-primary" /> <input
						type="reset" value="Reset" class="btn btn-secondary" />
				</p>
			</div>
		</form>
		
	</div>
	
	<p>
	<p>

	<img th:src="@{/images/books-bottom.png}"
		style="width: 55vw; min-width: 300px; display: block; margin-left: auto; margin-right: auto;" />

</body>
</html>
